<?xml version="1.0" encoding="UTF-8"?>
<ejb-jar xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee"
         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/ejb-jar_3_0.xsd"
         version="3.0">

    <enterprise-beans>
        <session>
            <ejb-name>PersonServiceBean</ejb-name>
            <session-type>Stateless</session-type>
        </session>
    </enterprise-beans>

    <assembly-descriptor>

        <security-role>
            <role-name>ArbutusAuthorizedDataAdmin</role-name>
        </security-role>
        <security-role>
            <role-name>ArbutusAuthorizedServiceUser</role-name>
        </security-role>

        <method-permission>
            <role-name>ArbutusAuthorizedDataAdmin</role-name>
            <method>
                <ejb-name>PersonServiceBean</ejb-name>
                <method-intf>Remote</method-intf>
                <method-name>deleteAllPersonType</method-name>
            </method>
            <method>
                <ejb-name>PersonServiceBean</ejb-name>
                <method-intf>Remote</method-intf>
                <method-name>deletePersonTypeInternally</method-name>
            </method>
            <method>
                <ejb-name>PersonServiceBean</ejb-name>
                <method-intf>Remote</method-intf>
                <method-name>deleteAllPersonIdentityType</method-name>
            </method>
            <method>
                <ejb-name>PersonServiceBean</ejb-name>
                <method-intf>Remote</method-intf>
                <method-name>deleteAllPersonPersonType</method-name>
            </method>
        </method-permission>
    </assembly-descriptor>
</ejb-jar>